HTTP Request Definition
Get HTTP request definition by ID
Returns a specific HTTP request definition by its ID.
GET
/
v1
/
http-request-definition
/
{definitionId}
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.httpRequestDefinition.getByID('definitionId');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.http_request_definition.get_by_id(
"definitionId",
)
print(response.data)curl --request GET \
--url https://api.roark.ai/v1/http-request-definition/{definitionId} \
--header 'Authorization: Bearer <token>'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "AGENT_OUTBOUND_DIAL",
"description": "<string>",
"url": "<string>",
"body": "<string>",
"parsedBody": {},
"headers": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the HTTP request definition to retrieve
Response
The requested HTTP request definition
HTTP request definition
Show child attributes
Show child attributes
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.httpRequestDefinition.getByID('definitionId');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.http_request_definition.get_by_id(
"definitionId",
)
print(response.data)